

import os
from threading import Thread




import snowflake.client
import time

def get_guid():
    while(True):
        try:
            return snowflake.client.get_guid()
        except Exception as e:
            pass

LINUX_PATH = "/home/python/interface_real_new/ENV"

def startSnowflake(port=None,worker=None):
    import platform
    if platform.system()=="Windows":
        _cmd = "snowflake_start_server"
    else:
        _cmd = LINUX_PATH+"/bin/snowflake_start_server"
        if not os.path.exists(_cmd):
            _cmd = os.path.dirname(__file__)+"/../..//ENV/bin/snowflake_start_server"
    if worker is not None:
        _cmd += " --worker=%d"%worker
    if port is not None:
        _cmd += " --port=%d"%port
    os.system(_cmd)

thread_startSnowflake = Thread(target=startSnowflake)
thread_startSnowflake.start()
time.sleep(2)

if __name__=="__main__":
    thread_startSnowflake = Thread(target=startSnowflake)
    thread_startSnowflake.start()